org.eclipse.rap.rwt.template

## Enum ImageCell.ScaleMode

- java.lang.Object
- - java.lang.Enum<ImageCell.ScaleMode>
  - - org.eclipse.rap.rwt.template.ImageCell.ScaleMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageCell.ScaleMode>

Enclosing class:
  ImageCell

    public static enum ImageCell.ScaleMode
    extends java.lang.Enum<ImageCell.ScaleMode>

Represents a method used to scale an image.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILL` The image is scaled to the minimum size required to cover the entire cell.
`FIT` The image is scaled to the maximum size that fits into the cell.
`NONE` The image is displayed in its original size.
`STRETCH` The image is scaled to the exact bounds of the cell.

### Method Summary

Methods
`static ImageCell.ScaleMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageCell.ScaleMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ImageCell.ScaleMode NONE

The image is displayed in its original size.

#### FIT

    public static final ImageCell.ScaleMode FIT

The image is scaled to the maximum size that fits into the cell. The aspect ratio is preserved.

#### FILL

    public static final ImageCell.ScaleMode FILL

The image is scaled to the minimum size required to cover the entire cell. The aspect ratio is preserved.

#### STRETCH

    public static final ImageCell.ScaleMode STRETCH

The image is scaled to the exact bounds of the cell. The aspect ratio is not preserved.

### Method Detail

#### values

    public static ImageCell.ScaleMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ImageCell.ScaleMode c : ImageCell.ScaleMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ImageCell.ScaleMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0